#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'noneproc.title_pengumuman_tender'}
#{/set}

<div class="breadcrumb">&{'noneproc.title_pengumuman_tender'}</div>
<div class="content">
  <div class="row">
  		<div class="col-md-6">
  			<div class="thumbnail">
                <div class="caption">
                     &{'noneproc.model_a'}
                </div>
  			</div>
  		</div>
  		<div class="col-md-6">
            <div class="thumbnail">
                <div class="caption">
                    &{'noneproc.model_b'}
                </div>
            </div>
  		</div>
  </div>

	<div class="bs-callout bs-callout-warning">
	    <strong>&{'noneproc.petunjuk'}</strong>
	    <ol style="list-style: disc inside">
	        <li>&{'noneproc.petunjuk_1'}</li>
	        <li>&{'noneproc.petunjuk_2'}</li>
	        <li>&{'noneproc.petunjuk_3'}</li>
		</ol>
	</div>
	<table class="table table-sm" id="tblNonEproc">
        <thead>
	    <tr>
	        <th >No</th>
	        <th>&{'noneproc.no_pengumuman'}</th>
            <th>&{'noneproc.tgl_pembuatan'}</th>
            <th>&{'noneproc.tahun_anggaran'}</th>
	        <th>&{'noneproc.jumlah_paket'}</th>
	        <th>&{'noneproc.status'}</th>
	    </tr>
        </thead>
	   <tbody></tbody>
	</table>
</div>

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var edit = #{jsRoute @NonEprocCtr.edit(':id') /};
var table = $("#tblNonEproc").DataTable({
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.nonEprocPanitia()}",
        columns: [{visible:false}, {render: function(data, type, row) {
        	 	var ids = row[0];
		        var judul = row[1];
		        row[0] = row[2];
		        row[1] = "<a href='"+edit.url({id:ids})+"'>"+judul+"</a>";
		        return row[1];
        	}},null, null,{orderable:false},{orderable:false}
        ]
    });
    $('#tblNonEproc_filter input').unbind();
    $('#tblNonEproc_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}